Support forumCategory: BugsCrash on activation
Stefan Kuske asked 5 years ago

When I try to activate the plugin, it crashes and the whole wordpress installation is useless and needs to be restored from a backup.
The error is related to the ‘https://theeventscalendar.com/product/wordpress-events-calendar-pro/’ plugin – there is a huge list of PHP error messages showing up related to parts of the events calendar plugin, when I try to activate your plugin. I no longer have the exact error messages unfortunately. However, maybe you test-drive your plugin with the Events Calendar installed…

9 Answers
Nikola Loncar Staff answered 5 years ago

Hi Stefan,

I will take a closer look on that issue and let you know asap.

Best regards,
Nikola

Nikola Loncar Staff answered 5 years ago

Hi Stefan,

can you tell me what is the version of PHP on your site? Maybe that is issue in you case. You should have at least PHP 5.3

Best regards,
Nikola

totalidea answered 5 years ago

WordPress: 4.7.5 PHP: 7.0.6

Nikola Loncar Staff replied 5 years ago

That shouldn’t be the problem. Can you tell me have you tried with turning off that other plugin and trying to activate EA Extension.

Best regards,
Nikola

totalidea answered 5 years ago

Yes, I tried that, and I could then activate your plugin. However, once I tried to reactivate the Tribe Events Calendar, I was unable to do so and the crash came back:
Fatal error: Uncaught Error: Call to undefined method Tribe__Container::replaceSingleton() in /kunden/526706_59174/domains/knabenstimmen/wordpress/wp-content/plugins/the-events-calendar/common/src/Tribe/Container.php:84 Stack trace: #0 /kunden/526706_59174/domains/knabenstimmen/wordpress/wp-content/plugins/the-events-calendar/common/src/Tribe/Main.php(490): tribe_singleton(‘settings.manage…’, ‘Tribe__Settings…’) #1 /kunden/526706_59174/domains/knabenstimmen/wordpress/wp-content/plugins/the-events-calendar/common/src/Tribe/Main.php(105): Tribe__Main->bind_implementations() #2 /kunden/526706_59174/domains/knabenstimmen/wordpress/wp-content/plugins/the-events-calendar/common/src/Tribe/Main.php(63): Tribe__Main->__construct(Object(Tribe__Events__Main)) #3 /kunden/526706_59174/domains/knabenstimmen/wordpress/wp-content/plugins/the-events-calendar/src/Tribe/Main.php(330): Tribe__Main::instance(Object(Tribe__Events__Main)) #4 /kunden/526706_59174/domains/knabenstimmen/wordpress/wp-content/plugins/the-events-calendar/src/Trib in /kunden/526706_59174/domains/knabenstimmen/wordpress/wp-content/plugins/the-events-calendar/common/src/Tribe/Container.php on line 84
Looks like there is a comflict between your and these two plugins:
The Events Calendar
and
The Events Calendar Pro
 
both my ModernTribe (https://theeventscalendar.com/product/wordpress-events-calendar-pro/)
When I deactivated your plugin, I was able to re-activate the Events Calendar plugins.

totalidea answered 5 years ago

It looks like the free edition of the events calendar is affected, not the pro edition. You can test drive that with the free edition, which can be downloaded from

The Events Calendar


Your plugin is exactly what we are looking for to integrate a singing teacher booking form. We would love to get it running and purchase the extensions as we also need the Google Calendar integration…
🙂 Thanks for your help! I also contacted the developers of the Events Calendar, but have not heard back so far…

Nikola Loncar Staff answered 5 years ago

Hi,

we will test it with both plugin at same time. I will let you know of the result. There must be some kind of conflict between. I will be back to you within next 48h with solution.

Best regards,
Nikola

totalidea answered 5 years ago

Nikola, I contacted the develops of the Event Calendar plugin. They found the cause for the crash! Here is their reply:

I was curious and got lucky. I looked into the Easy Appointments plugin and totally by chance I discovered that it is using the same library as The Events Calendar. It is this one: wp-content\\plugins\\easy-appointments\\vendor\\lucatume\\ (lucatume is actually one of our devs. 🙂 ) Then I copied our version of that folder to the Easy Appointments plugin and voila, it works, both can be activated. (I didn\’t test if they work properly, I will leave that to you. 🙂 ) I guess the Easy Appointments uses an older version of that library. You could share this info with the developer of the plugin, he might want to officially update that library.

Nikola Loncar Staff replied 5 years ago

Cool, I will update and put a new version online after tedting. 🙂

Best regards,
Nikola

Nikola Loncar Staff answered 5 years ago

Hi,

I have updated the locals, can you please try this version instead just copy files : easy-appointments.net/files/easy-appointment.zip . I have tested it locally and everything should be fine.

Best regards,
Nikola

totalidea answered 5 years ago

Yes, working fine now. Thanks. 🙂